%global shell_version 3.16.0

Name:           gnome-shell-extension-background-logo
Version:        3.16.1
Release:        1%{?dist}
Summary:        Background logo extension for GNOME Shell

License:        GPLv2+
URL:            https://git.fedorahosted.org/git/background-logo-extension.git
Source0:        https://fedorahosted.org/releases/b/a/background-logo-extension/background-logo-extension-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  glib2-devel

Requires:       gnome-shell >= %{shell_version}

%description
Overlay a tasteful logo on the background to enhance the user experience.

%prep
%setup -q -n background-logo-extension-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%license COPYING
%{_datadir}/glib-2.0/schemas/org.fedorahosted.background-logo-extension.gschema.xml
%{_datadir}/gnome-shell/extensions/

%changelog
* Thu Apr 16 2015 Florian Müllner <fmuellner@redhat.com> - 3.16.1-1
- Update to 3.16.1

* Mon Mar 23 2015 Florian Müllner <fmuellner@redhat.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Florian Müllner <fmuellner@redhat.com> - 3.15.92-1
- Update to 3.15.92

* Thu Mar 05 2015 Florian Müllner <fmuellner@redhat.com> - 3.15.91-1
- Update to 3.15.91

* Fri Feb 20 2015 Florian Müllner <fmuellner@redhat.com> - 3.15.90-1
- Update to 3.15.90

* Fri Dec 19 2014 Florian Müllner <fmuellner@redhat.com> - 3.15.3-1
- Update to 3.15.3

* Thu Nov 27 2014 Florian Müllner <fmuellner@redhat.com> - 3.15.2-1
- Update to 3.15.2

* Thu Nov 20 2014 Kalev Lember <kalevlember@gmail.com> - 3.15.1-1
- Update to 3.15.1

* Fri Nov 07 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Initial Fedora packaging
